Subject: bug#52297: 29.0.50; Error in c-force-redisplay timer

From: Alan Mackenzie <[email-masked]>
Date: Wed, 9 Feb 2022 16:53:33 +0000

Hello, Martin.

On Wed, Feb 09, 2022 at 09:45:16 +0100, martin rudalics wrote:
> reopen 52297
> quit

>  > Eli or Martin, is this bug still showing itself?  If so, would it be
>  > possible to give a more exact recipe to reproduce it (though I'm aware
>  > the answer to this question is probably no).

> With emacs -Q pulled from master and built today (2022-02-09) I load a
> file containing the following text

[ .... ]

Thanks.  With that file, I can reproduce the bug.  I'll set about fixing
it.

> With debugging turned on this gets me

> Debugger entered--Lisp error: (error "Font-lock trying to use keywords before setting th...")
>    signal(error ("Font-lock trying to use keywords before setting th..."))
>    error("Font-lock trying to use keywords before setting th...")
>    font-lock-compile-keywords(nil)
>    font-lock-fontify-keywords-region(1 112 nil)
>    font-lock-default-fontify-region(1523 1532 nil)
>    c-font-lock-fontify-region(1523 1532)
>    c-force-redisplay(1523 1532)
>    apply(c-force-redisplay (1523 1532))
>    timer-event-handler([t 25091 29205 916629 nil c-force-redisplay (1523 1532) nil 777000 nil])

> martin

-- 
Alan Mackenzie (Nuremberg, Germany).